<?php
/*
Plugin Name: Debt.com Business in a Box
Description: Plugin provides Business in a Box widget, and related technology to provide a one-stop solution for financial bloggers and websites.
Version: 4.1.0
Author: Debt.com
Author URI: https://www.debt.com/
Plugin URI: https://www.debt.com/our-story/partner-with-us/publishers-and-bloggers/
*/

$dcom_bib_plugin_file = plugin_basename(__FILE__);
$dcom_bib_plugin_dir  = plugin_dir_path(__FILE__);
require_once $dcom_bib_plugin_dir.'inc/configuration.php'; // Load Configuration Script

add_action('plugins_loaded', 'dcom_bib_components', 20);
function dcom_bib_components() {
	global $dcom_bib_plugin_file, $dcom_bib_plugin_dir;

	require_once $dcom_bib_plugin_dir.'inc/bib_form.php'; // Load Lead Form / Shortcode
	require_once $dcom_bib_plugin_dir.'inc/bib_phone.php'; // Load Phone / Shortcode
	if (function_exists('dcom_get_bib_form')) {
		require_once $dcom_bib_plugin_dir.'inc/bib_form_widget.php'; // Load Form Widget, Requires Lead Form
	}
	if (function_exists('dcom_get_bib_phone')) {
		require_once $dcom_bib_plugin_dir.'inc/bib_phone_widget.php'; // Load Phone Widget, Requires Phone Code
	}
/*
	require_once $dcom_bib_plugin_dir.'inc/comparison_ads_calc.php'; // Comparison Code, Shortcodes
	if (function_exists('dcom_comparison_code')) {
		require_once $dcom_bib_plugin_dir.'inc/comparison_widget.php'; // Comparison Widget, Uses Comparison Code	
		require_once $dcom_bib_plugin_dir.'inc/ads_calc_widgets.php'; // Comparison Widget, Uses Ads/Calcs Code	
	}
*/
	require_once $dcom_bib_plugin_dir.'inc/tiny_mce_plugin.php';	
}
