<?php
add_action ('admin_init', 'dcom_bib_tinymce');
function dcom_bib_tinymce() {
	add_filter('mce_buttons', 'dcom_bib_register_buttons');
	add_filter('mce_external_plugins', 'dcom_bib_tinymce_javascript');	
}

function dcom_bib_register_buttons( $buttons ) {
	$prefix = '_dcom_bib_'; // Metabox Prefix
	$bib_configuration = get_option($prefix.'configuration');
	if (is_array($bib_configuration)) {
		if ((array_key_exists($prefix.'configuration_url', $bib_configuration) && !empty($bib_configuration[$prefix.'configuration_url']))
			||
			(array_key_exists($prefix.'search_subid', $bib_configuration) && !empty($bib_configuration[$prefix.'search_subid']))) {
			array_push($buttons, 'seperator');
		}

		if (array_key_exists($prefix.'configuration_url', $bib_configuration) && !empty($bib_configuration[$prefix.'configuration_url'])) {	
			array_push($buttons, 'dcom_leads');
		}
/*
		if (array_key_exists($prefix.'search_subid', $bib_configuration) && !empty($bib_configuration[$prefix.'search_subid'])) {
			array_push($buttons, 'dcom_comparison', 'dcom_calculators');
		}
*/
	}
	return $buttons;
}


function dcom_bib_tinymce_javascript ( $plugin_array) {
	$prefix = '_dcom_bib_'; // Metabox Prefix
	$bib_configuration = get_option($prefix.'configuration');
	if (is_array($bib_configuration) &&
			((array_key_exists($prefix.'configuration_url', $bib_configuration) && !empty($bib_configuration[$prefix.'configuration_url']))
			||
			(array_key_exists($prefix.'search_subid', $bib_configuration) && !empty($bib_configuration[$prefix.'search_subid'])))) {
			$plugin_array['dcom_tinymce'] = plugins_url('js/dcom_tinymce.js', __DIR__);
	}
	return $plugin_array;
}