window.retQ = window.retQ || { q: {}, tags : function( args ) { for (var tag in args) { this.q[tag] = args[tag]; } }, empty: function() { return Object.keys(this.q).length === 0; }, to_tags: function() { var ret = this.q; this.q = {}; return ret; }};
window.sValues = {};

function setupSValues() {
    /* Default to anything set by BIB Script */
    if ( typeof s2 !== 'undefined' ) { sValues['s2'] = s2; }
    if ( typeof s3 !== 'undefined' ) { sValues['s3'] = s3; }
    if ( typeof s4 !== 'undefined' ) { sValues['s4'] = s4; }
    if ( typeof s5 !== 'undefined' ) { sValues['s5'] = s5; }

    var expr_date = new Date();
    expr_date.setTime(expr_date.getTime() + (30*24*60*60*1000));
    var expires = "expires=" + expr_date.toUTCString() + ";";
    var delete_cookie = "expires=Thu, 01 Jan 1970 00:00:01 GMT;";

    /*If URL includes a query string, parse the URL and load s_values onto qry_hash*/ 
    if (location.search) {
        var qry_strs = location.search.slice(1).split('&');
        var qry_hash = {};
        qry_strs.forEach(function(qry_str){
            qry_str = qry_str.split('=');
            qry_hash[qry_str[0]] = decodeURIComponent(qry_str[1] || '');
        });
    } else {
        var qry_hash = {};
    }

    /*once URL is parsed, check for these S values in the qry_hash*/ 
    var s_values = ['s2', 's3', 's4', 's5'];

    /*if query string has S values, replace cookies (set/delete), else, load S value found in the previously stored cookie*/ 
        var overRideValues = false;
        if (Object.keys(qry_hash).length > 0) {
            s_values.forEach(function(s_val){ overRideValues = overRideValues || s_val in qry_hash; });
        }
        if (overRideValues) {
            s_values.forEach(function(s_val){
            if (s_val in qry_hash) {
                document.cookie = s_val + '=' + qry_hash[s_val] + ';' + expires + 'path=/;domain='+ location.hostname.replace('www.','');
                window.sValues[s_val] = qry_hash[s_val];
            } else {
                document.cookie = s_val + '=;' + delete_cookie + 'path=/;domain='+ location.hostname.replace('www.','');
                delete window.sValues[s_val];
            }
        });
    } else {
        var cookies = document.cookie.split('; ');
        var cookie_hash = {};
        cookies.forEach(function(cookie){
            cookie = cookie.split('=');
            cookie_hash[cookie[0]] = decodeURIComponent(cookie[1] || '');
        });
        /*For S2 to S5, if we have the cookie, we set the sValues object */ 
        if ('s2' in cookie_hash) { window.sValues['s2'] = cookie_hash['s2']; }
        if ('s3' in cookie_hash) { window.sValues['s3'] = cookie_hash['s3']; }
        if ('s4' in cookie_hash) { window.sValues['s4'] = cookie_hash['s4']; }
        if ('s5' in cookie_hash) { window.sValues['s5'] = cookie_hash['s5']; }
    }
}

function retreaverPhoneSwap() {
    window.ga = window.ga || function(){ (window.ga.q = window.ga.q || []).push(arguments) }    
    if ((typeof window.phoneNumber === 'undefined') && (typeof aid !== 'undefined') && (typeof phone_pid !== 'undefined') && (typeof phone_number !== 'undefined') && (typeof phone_campaign_key !== 'undefined' )) {
        window.retQ.tags({ 'aid': aid, 'publisher_id': aid, 'affiliate_id': aid, 'pid': phone_pid, 'sub_id': phone_pid });
        window.retQ.tags(window.sValues);
        window.ga(function(tracker) { 
           if (typeof tracker !== 'undefined') {
            window.retQ.tags({ ga_tracking_id : tracker.get('trackingId'), ga_client_id : tracker.get('clientId') });
           }
        });
        (function() {
            var scriptElement = document.createElement('script');
            scriptElement.type = 'text/javascript';
            scriptElement.async = true;
            scriptElement.defer = true;
            scriptElement.src = 'https://dist.routingapi.com/jsapi/v1/retreaver.min.js';
            scriptElement.onload = scriptElement.onreadystatechange = function () {
                Retreaver.configure({ host: 'api.routingapi.com', prefix: 'https' });
                var campaign = new Retreaver.Campaign({ campaign_key: phone_campaign_key });
                campaign.request_number(retQ.to_tags(), function (number) {
                    var phone_spans = document.getElementsByClassName('tracking-phone');
                    for (var i = 0; i < phone_spans.length ; i++) { phone_spans[i].textContent = number.get('formatted_number'); }

                    var phone_a_clicks = document.getElementsByClassName('tracking-phone-click');
                    for (var i = 0; i < phone_a_clicks.length ; i++) { phone_a_clicks[i].setAttribute('href', 'tel:'+number.get('number')); }
                    window.phoneNumber = number;
                    if (!(retQ.empty())) { phoneNumber.replace_tags(retQ.to_tags()); }
                    window.retQ = { tags: function(args) { phoneNumber.replace_tags(args); }, empty: function() { return true; }, to_tags: function() { return {}; } };
                    
                });
            };
            (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(scriptElement);
        })();

    }
}